## edu.cwru.SimpleRTS.agent.visual
Class DrawingStrategy

    java.lang.Object
      edu.cwru.SimpleRTS.agent.visual.DrawingStrategy

    public abstract class DrawingStrategy

extends java.lang.Object

Constructor Summary
`DrawingStrategy()`

Method Summary
`static DrawingStrategy` `charGraphic(char c)`
`abstract void` `draw(java.awt.Graphics g, int tlx, int tly)`
`static DrawingStrategy` `mineGraphic()`
`static DrawingStrategy` `treeGraphic()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawingStrategy

    public DrawingStrategy()

Method Detail

### draw

    public abstract void draw(java.awt.Graphics g,
                              int tlx,
                              int tly)

### treeGraphic

    public static DrawingStrategy treeGraphic()

### mineGraphic

    public static DrawingStrategy mineGraphic()

### charGraphic

    public static DrawingStrategy charGraphic(char c)